## graphicsmagick 1.4~hg15916

=== debian/changelog ===
graphicsmagick (1.4~hg15916-2) unstable; urgency=medium

  * Declare break on python{,3}-pgmagick versions compiled with GCC 7
    compiled versions of GraphicsMagick (closes: #915603, #915606).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 02 Apr 2019 18:49:40 +0000

graphicsmagick (1.4~hg15916-1) unstable; urgency=high

  * Mercurial snapshot, fixing the following security issues:
    - ReadTIFFImage(): Only disassociate alpha channel for images where
      photometic is PHOTOMETRIC_RGB,
    - DrawDashPolygon(): Heap buffer overflow when parsing SVG images,
    - DrawPrimitive(): Add arithmetic overflow checks when converting
      computed coordinates from 'double' to 'long',
    - DrawImage(): Don't destroy draw_info in graphic_context when draw_info
      has not been allocated yet,
    - RenderFreetype(): Eliminate memory leak of GlyphInfo.image,
    - DrawDashPolygon(): Heap-buffer-overflow via read beyond end of dash
      pattern array,
    - ReadMIFFImage(): Tally directory length to avoid death by strlen(),
    - ReadMPCImage(): Tally directory length to avoid death by strlen(),
    - ReallocColormap(): Make sure that there is not a heap overwrite if the
      number of colors has been reduced.
  * Update library symbols for this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Feb 2019 17:50:19 +0000
