## graphicsmagick 1.4~hg15978

=== debian/changelog ===
graphicsmagick (1.4~hg15978-1) unstable; urgency=medium

  * Mercurial snapshot, fixing uninitialized integer value of log_configured.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Apr 2019 07:06:40 +0000
