=== debian/control ===
--- 
+++ 
@@ -85,7 +85,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgraphicsmagick++-q16-11 (= 1.3.22-1)
 Replaces: libgraphicsmagick++-q16-11 (= 1.3.22-1)
-Breaks: python-pgmagick (<= 0.7.4-1), python3-pgmagick (<= 0.7.4-1)
+Breaks: python-pgmagick (<= 0.7.4-1), python3-pgmagick (<= 0.7.4-1), libgnudatalanguage0 (<= 0.9.9-9)
 Suggests: graphicsmagick-dbg
 Description: format-independent image processing - C++ shared library
  GraphicsMagick provides libraries in several programming languages to read,
