## graphicsmagick 1.4~hg15978.1

=== debian/changelog ===
graphicsmagick (1.4~hg15978.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 6c165dbe0a63f552f048c2ae8ed70e2893c88755']

 -- shuttle <shuttle@deepin.com>  Thu, 30 Jul 2020 13:27:00 +0000
