## graphicsmagick 1.4~hg16039

=== debian/changelog ===
graphicsmagick (1.4~hg16039-1) unstable; urgency=high

  * Mercurial snapshot, fixing the following security issues:
    - ImportRLEPixels(): Fix heap overflow caused by a typo in the code. Also
      fix undefined behavior caused by large left shifts of an unsigned char,
    - ThrowException(), ThrowLoggedException(): Handle the case where some
      passed character strings refer to existing exception character strings,
    - PICT: Allocate output buffer used by ExpandBuffer() on DecodeImage()
      stack,
    - WritePDFImage(): Allocate working buffer on stack and pass as argument
      to EscapeParenthesis() to eliminate a thread safety problem,
    - TranslateTextEx(): Remove support for reading from a file using
      '@filename' syntax,
    - DrawImage(): Only support '@filename' syntax to read drawing primitive
      from a file if we are not already drawing.
  * Update library symbols for this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Jun 2019 21:11:11 +0000
