## graphicsmagick 1.4+really1.3.33+hg16115

=== debian/changelog ===
graphicsmagick (1.4+really1.3.33+hg16115-1build1) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:27:39 +0000
