=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DEB_BUILD_OPTIONS=nocheck
 
 export DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -57,6 +56,7 @@
 		--enable-shared \
 		--enable-static \
 		--enable-libtool-verbose \
+		--with-tcmalloc=yes \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
