=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,6 @@
 		--enable-shared \
 		--enable-static \
 		--enable-libtool-verbose \
-		--with-tcmalloc=yes \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
@@ -245,3 +244,5 @@
 	dh_installman -a
 	dh_installexamples -a
 	dh_installmenu -p graphicsmagick
+	dh_installmime -p graphicsmagick
+	dh_link -a
