## graphicsmagick 1.4+really1.3.35+hg16348

=== debian/changelog ===
graphicsmagick (1.4+really1.3.35+hg16348-1build1) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 12:41:04 +0100
