## graphicsmagick 1.4+really1.3.36

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), pkg-config, libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev (>= 4.0.10), libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, libzstd-dev, perl (>= 5.20), ghostscript, gsfonts, transfig, sharutils, libltdl-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), pkg-config, libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev (>= 4.0.10), libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, libzstd-dev, perl (>= 5.20), ghostscript, gsfonts, transfig, sharutils, libltdl-dev
+Standards-Version: 4.5.1
 Homepage: http://www.graphicsmagick.org/
 
 Package: graphicsmagick
