=== debian/rules ===
--- 
+++ 
@@ -238,11 +238,11 @@
 	sed -e 's|\(HREF="\)\(Magick++/\)|\1../../libgraphicsmagick++1-dev/www/\2|' \
 	    -e 's|\(HREF="\)\(api.html\)|\1../../libgraphicsmagick1-dev/www/\2|' \
 	    -i debian/tmp/usr/share/doc/graphicsmagick/www/programming.html
-	dh_install -a --list-missing --sourcedir=debian/tmp
+	dh_install -a --sourcedir=debian/tmp
+	dh_missing -a --list-missing
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
 	dh_installman -a
 	dh_installexamples -a
 	dh_installmenu -p graphicsmagick
 	dh_installmime -p graphicsmagick
-	dh_link -a
