## graphicsmagick 1.4+really1.3.36+hg16462

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev (>= 4.0.10), libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, libzstd-dev, perl (>= 5.20), ghostscript, gsfonts, transfig, sharutils, libltdl-dev
+Build-Depends: debhelper-compat (= 13), pkg-config, libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, libzstd-dev, perl, ghostscript,
+ gsfonts <!nocheck>,
+ sharutils <!nocheck>
 Standards-Version: 4.5.1
+Rules-Requires-Root: dpkg/target-subcommand
 Homepage: http://www.graphicsmagick.org/
 
 Package: graphicsmagick
@@ -182,7 +185,7 @@
  The GraphicsMagick libraries are a fork of ImageMagick and therefore offer
  programming interfaces that are mostly compatible. While there might be
  small differences, experience tells that many programs only use a compatible
- subset and build fine with either GraphicsMagick or ImageMagick. 
+ subset and build fine with either GraphicsMagick or ImageMagick.
  .
  While GraphicsMagick uses different names for libraries, classes, and
  helper applications in order to coexist with ImageMagick, this package
@@ -215,4 +218,3 @@
  This package contains debugging symbols for the gm executable as well as the
  C, C++, and Perl bindings. Tools like gdb and ltrace make use of these
  symbols.
-
