## graphicsmagick 1.4+really1.3.36+hg16481

=== debian/changelog ===
graphicsmagick (1.4+really1.3.36+hg16481-2+deb11u1) bullseye-security; urgency=medium

  * CVE-2022-1270

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 24 Nov 2022 21:50:54 +0100
