=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
 Package: libgraphicsmagick1-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev (>= 4.0.10), libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, libzstd-dev, ${misc:Depends}
+Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev (>= 4.0.10), libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, libzstd-dev, pkg-config, ${misc:Depends}
 Breaks: libgraphicsmagick++1-dev (<< 1.3.21-2)
 Suggests: graphicsmagick
 Provides: libgraphicsmagick-dev
