=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,7 @@
 	# Teach Perl binding to build without an installed library.
 	# Also, we need to prune several of the security options we
 	# added above:
-	# * The compiler chokes on Perl's standard macro MEM_WRAP_CHECK() 
+	# * The compiler chokes on Perl's standard macro MEM_WRAP_CHECK()
 	#   if -Werror=format-security is set.
 	# * The Perl Makefile generator ignores linker flags it doesn't
 	#   grok (ie. -pie -z relro). Hence, we need to strip -fPIE from
@@ -110,7 +110,7 @@
 #	$(MAKE) CFLAGS="-Wall -g -O0" -C wand drawing_wand.lo
 #endif
 
-	$(MAKE) 
+	$(MAKE)
 	# Perl is built separately. Make sure to override the stupid
 	# rpath picked up from the LIBS hack above.
 	$(MAKE) perl-build LD_RUN_PATH=
@@ -183,7 +183,7 @@
 	rm -f config.log
 
 	dh_autoreconf_clean
-	dh_clean 
+	dh_clean
 
 install: build install-indep install-arch
 install-indep:
@@ -202,7 +202,7 @@
 
 	# pkgdocdir is hardwired in configure.ac and can only be overridden
 	# here.
-	$(MAKE) install install-exec-perl \
+	$(DEB_GAIN_ROOT_CMD) $(MAKE) install install-exec-perl \
 		DESTDIR=$(CURDIR)/debian/tmp \
 		pkgdocdir=/usr/share/doc/$(PACKAGENAME)
 
@@ -245,4 +245,3 @@
 	dh_installman -a
 	dh_installexamples -a
 	dh_installmenu -p graphicsmagick
-	dh_installmime -p graphicsmagick
