## graphicsmagick 1.4+really1.3.37

=== debian/changelog ===
graphicsmagick (1.4+really1.3.37-1build2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:40:15 +0100

graphicsmagick (1.4+really1.3.37-1build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:21:25 -0500
