## graphicsmagick 1.4+really1.3.37+hg16662

=== debian/changelog ===
graphicsmagick (1.4+really1.3.37+hg16662-1ubuntu1) jammy; urgency=medium

  * Revert 16603:ba930c1fc380 to address regression in ruby-mini-magick
    (LP: #1962210)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 24 Feb 2022 18:38:23 -0700
