## graphicsmagick 1.4+really1.3.38

=== debian/changelog ===
graphicsmagick (1.4+really1.3.38-1) UNRELEASED; urgency=medium

  * update

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 13 Jun 2022 02:44:34 -0400
