=== debian/control ===
--- 
+++ 
@@ -2,7 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, libzstd-dev, perl, ghostscript,
+Build-Depends: debhelper-compat (= 13), pkg-config, libjpeg-dev, liblcms2-dev,
+ libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev,
+ x11proto-core-dev, libxml2-dev, libfreetype6-dev, libbz2-dev, libtiff-dev,
+ libjbig-dev, libpng-dev, libwebp-dev, libheif-dev, zlib1g-dev | libz-dev,
+ libzstd-dev, perl, ghostscript,
  gsfonts <!nocheck>,
  sharutils <!nocheck>
 Standards-Version: 4.5.1
@@ -61,7 +65,12 @@
 Package: libgraphicsmagick1-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev (>= 4.0.10), libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, libzstd-dev, pkg-config, ${misc:Depends}
+Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev,
+ liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev,
+ x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev (>= 4.0.10),
+ libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libheif-dev,
+ libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, libzstd-dev, pkg-config,
+ ${misc:Depends}
 Breaks: libgraphicsmagick++1-dev (<< 1.3.21-2)
 Suggests: graphicsmagick
 Provides: libgraphicsmagick-dev
