=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	dh_testdir
 	dh_autoreconf
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	MVDelegate=/bin/mv \
 	    ./configure $(gm_confflags) \
 		--enable-shared \
 		--enable-static \
@@ -62,8 +63,6 @@
 		--docdir=\$${prefix}/share/doc/graphicsmagick \
 		--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
 		--with-x \
-		--x-includes=/usr/include/X11 \
-		--x-libraries=/usr/lib/X11 \
 		--without-dps \
 		--without-modules \
 		--without-frozenpaths \
@@ -245,3 +244,5 @@
 	dh_installman -a
 	dh_installexamples -a
 	dh_installmenu -p graphicsmagick
+	dh_installmime -p graphicsmagick
+	dh_link -a
