=== debian/watch ===
version=4
opts=dversionmangle=s/1.4\+really// \
https://qa.debian.org/watch/sf.php/graphicsmagick/ \
(?:|.*/)GraphicsMagick(?:[_\-]v?|)(\d\.\d+\.[1-9]+|\d\.\d+)@ARCHIVE_EXT@
