## graphicsmagick 1.4+really1.3.38+hg16728

=== debian/changelog ===
graphicsmagick (1.4+really1.3.38+hg16728-1) unstable; urgency=high

  * Mercurial snapshot, fixing the following security issues:
    - ThrowLoggedException(): dereference after NULL check,
    - ReadJP2Image(): division by float zero,
    - MagickXMakeMagnifyImage(): division by zero,
    - ScaleImage(): resource leak,
    - GetLocaleMessageFromTag(): out of bounds read,
    - DrawPrimitive(): out of bounds access,
    - ReadOnePNGImage(): use of uninitialized value,
    - ReadMNGImage(): heap use after free in CloseBlob(),
    - ReadMNGImage(): indirect leak,
    - ReadOnePNGImage(): indirect leak in MagickMallocCleared().

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Aug 2022 23:50:27 +0200
